EzPop

Welcome to EzPop

The First Skinnable E-mail/News Checker

EzPop © Hysope (1999-2000)


EzPop

Introduction
What is EzPop?

Set-up
Installation
The mail accounts
Connection
Filter the messages
Options

Using EzPop
The main window
Read the messages
Send mail
Create a reminder
Tips

Live info!
How does it work?
The Channels

Skins
Change your skin

Useful info
FAQ
License
Contact


What is EzPop?

Don't bother checking your mailboxes. Ezpop will do it for you in the background.

Have you mail ? The empty box in the window will change into a you got mail box. Of course, you can associate your favourite sound, or even run EzPop in the systray and make it pop up to warn you.

Make EzPop looks like anything you want

EzPop is skinnable. It means you can change its look and choose whatever you fancy. There are three gorgeous skins included with the install program, and you will find lots more on the Net. And if you don't find this elusive cow-shaped skin you want to go with your custom-made MS Plus™ Theme, well... design it yourself ! Try it, it's easy!

You got mail ? We have news!

Between checks, EzPop can bring news right on your desktop. The default news server is EzPop. New skins, updates, you'll be the first one to know! In months to come, a lot of servers will be added to let you choose what you want to read. That's the nice thing with customizable software : choice.

Read you mail with EzPop. Quick and easy.

Want a quick look at this message you just received ? Double-click on the Mailbox and a separate window will open to let you read it. You can even reply to the sender from this window, save the message and its attachment(s), or delete it!

Forget the SPAM!

Tired of these "Make $$$$$ in your sleep" messages ? With its filtering feature, EzPop will ask you if you want to delete them on the server. You can also say goodbye to these huuuuge attachments sent by your aunt May who doesn't seem to understand the difference between a 20 Kb image and a 2 Mb file. Set the max size to 300 Kb (or whatever you choose) and save your time and bandwith.

EzReminder: never forget a thing

An appointment, a phone call, a birthday? Better than a knot in your handkerchief, EzPop is a reminder too. Let it warn you right on time of any event you must remember. Type some words, tell him the day and the time, and voila!

Write/Load notes with EzPop and forget the Notepad

Do you need to note something ? A name, a phone number? Don't bother searching for some program lost in the Start Menu. When you don't have mail, the EzPop message window becomes a quick 'n' easy notepad.

The best things in life are free

EzPop is freeware for personal use and will stay so. No "free beta but we don't know about the final release" and no " free until we feel you're ready to pay for it". Simply free...


Installation

Unzip EzPop.zip, double-click Install.exe, then follow the wizard.

When you launch EzPop for the first time, a Configuration wizard will guide you.

Note : EzPop doesn't write anything outside of its own folder, even in the Registry or the Windows folder.


Accounts configuration

Right-click on EzPop and choose Configure in the menu. You'll find all the options in this panel.

Click on the Accounts Configuration tab. Click on the Add button and let the wizard guide you.

Note : you'll need the login and the password your Internet Service Provider assigned to you.

You can temporarily de-activate an account. Select it in the list then check the Active or Inactive radio button in the Account Status zone.

If you don't know which Port you should use, don't bother with it. The default setting (Port 110) is the right one for nearly everybody.


Connection

Is your e-mail account configured (cf Accounts configuration )? The last step is telling EzPop how your computer is connected to the Internet.

Right-click in the main window then click on Configure. Go to the Options tab.

You have two choices : Network : for a LAN or cable-modem connection DUN : for a phone-line connection

Modem (DUN): for a phone-line connection.

Network (LAN): for a LAN or cable/ADSL connection.

If you have two or more connections on your computer, just choose wich one you want EzPop to use.

EzPop is now ready to check your mailboxes in the background ! You just have to click on the Connect button. But you may want to look at some nice Options


Filtering your mail

Filter your messages with EzPop

Right-click on the main window then click on Configure.Go to the Filters/News tab.

First, you must check the Activate filters on messages option. Then click in the text field and type your offending key-word(s) of choice. Click on Add and you're set ! You can extend the filter to the sender name and/or his domain name. And you can set a filter for a message maximal size. Don't you hate it when some dummy send you a 3 Mb message without even thinking?

Exemples :

You're tired of spam e-mails telling you how much $$$$$ you could earn without even breaking a sweat. Set a filter with $ and EzPop will warn you before downloading these e-mails. You'll be able to delete them right on the server, saving you time and bandwith. One $ sign is enough to set this filter in action. However, if you don't want to be warned each time your associate needs your advice and send you a price proposal, set the filter to $$. Only the spammers use more than one $ sign.

You don't want these trashy free sex e-mails. Set a filter with sex. But what if your aunt May send you every week a mail with News from the Sussex as subject ? Yes, it will be filtered! So add another word to your filter, separated from the first by a space : free sex. Now, unless your aunt send you a mail titled Freedom for the Sussex, you shouldn't be bothered.

The rules are easy:: If you don't want mail with sex in the subject or $ in the subject, then set two filters : one for each word. If you want to avoid sex and $ in the same e-mail subject, then set only one filter with these two words. All words in the same line of a filter use an AND boolean operator. All the differents lines in the filter list use a OR boolean operator.


Options

EzPop has many options!

Main Options Tab

  • Autoconnect to POP server at startup
     At start-up, EzPop will launch your connection and check your mailbox. A useful option if you're on a permanent connection (LAN/Cable/ADSL).
    Note : The first check will happen only after "xx" minutes ("xx" being subordinated to the option Check for messages every xx minutes).
  • Force connection (with a DUN connection only)
    Check this option and, when you'll click on the Connect to Mail Server button, EzPop will launch the connection without any confirmation.

    Beware : Combined with the Autoconnect to POP server at startup option, the Force Connection option will connect you without confirmation each time you'll launch EzPop! More : adding the Launch EzPop at Windows Startup option means you'll be connected without confirmation each time you'll start Windows! This option is therefore very risky for your phone bill if you're inattentive. Check it only if you know what you're doing.

  • Launch EzPop at Windows Startup
    To launch automatically EzPop with Windows
  • Stick EzPop to screen borders
    Draw EzPop near a screen border, and it will "stick". Don't check this option if you're using virtual screens.
  • Check for messages every (choose a number) minutes
    The period between each check.
  • Show icon in tray
    The tray is this tiny zone in the Windows taskbar. To see an EzPop icon in the tray, check this option. Then, you can click on this icon to "hide" EzPop. Another click will make it pop-up. Even hidden, EzPop still checks your mailboxes. If you received a message, it will pop-up to notify you.
  • Hide EzPop on Start-up
     Complete the previous option : check it and EzPop will quietly hide in the tray each time you'll launch it.
  • Sound on new mail
    You choose! You can use whatever .wav file you fancy.
  • Run custom mail client
     EzPop knows your default mail client, so you probably don't have to worry about this option. You may yet use two or more different mail clients. If you wish to launch a specific program with the EzPop's Run Mail Client button, this one's for you. Check the option, browse your hard drive and select your program (cf FAQ ).
  • Reset counter on launching mail client
    Each time you're launching your mail client from EzPop, the message number will be reset to 0 and the empty mailbox will replace the you have mail mailbox.

Accounts Configuration Tab : the Main Options

  • Read only headers in message window
    If you don't want to read your messages in EzPop, check this option. You will still be able to read the From, Subject, Date and Size of your messages, and decide if you want to read them with EzPop (using the popup menu in the message windows), launch your e-mail client or simply ignore them for some time (or delete it without even read it!).
  • Read only the first (choose a number) lines of the message
    If the message headers are not enough for you, you still have a compromise before retrieving the whole messages: choose how many lines of the messages you wish to retrieve.

Accounts Configuration Tab : EzMail Options

  • Outgoing Server (SMTP)
    To be able to send mail with EzPop, fill the address of your SMTP server.
  • Use EzMail to reply to the messages
    Check this option and the "Reply" button in the message window will launch EzMail instead of your mail client.
    Note : don't forget to fill the SMTP Server field
  • Include the original message in the response
    The message which you reply will be automatically included in the body of your mail.

    Note : if you select an account and click on the Properties button, a dialog box allows you to modify your account properties. You can include a signature (in .txt format) in all your outgoing messages. You can choose a different signature for each one of your accounts.


Main window

The Main Window:

Whatever the skin you choose, EzPop's main window has four buttons, an interactive status line and two images.

 The 4 buttons :

To launch the connection to your mail server, then the automatic mail checking.
To hang the line (with a phone connection) and stop the mail checking.
To manually check your mailboxes (Right click to check a specific box or all the boxes at once).
To lauch your mail client (either the default one or the one you specified in the Configuration Panel)

The two images that change according to their meaning :

The Mailbox will tell you if you have mail. Two states: Empty or Full.
The connection tell-tale.
Two states: Connected or Not connected

The interactive info display will tell you what's going on:

  • How many messages are in your mailbox
  • What does each button do (hover the button with the mouse)
  • During a check, the dialogue between EzPop and your mail server
  • The possible error messages if the connection fails
  • Your machine's name, your IP address and the date and time (click on the display and press the Control key at the same time)

See the Tips page for more features.

 That's not all!

Between checks, EzPop can display news from web sites, in a convenient and unobstrusive way. For this great feature, see the How does it works? section.


Message preview

Read your mail with EzPop

POP Accounts

You have mail ? Double-click on the Mailbox image to open the message window. From this window, you can read your message, delete it or reply to the author (either with your default mail client or with EzMail if you activated it). If you have several messages, use the next and previous buttons. The last button allows you to close the message window.

If you checked the Retrieve headers only option, you'll see the author's name and his e-mail, the subject, the date, the message size and the attachment(s) size. Now, right-click anywhere in the window to display a menu with the following options:

  • Read mail : to read the message (or only the xxx first lines, according to your setup in the Read only the first xxx lines of the message option).

  • Read full mail : to read the whole message, whatever your preferences setup.

  • Save Attachments : to save the files attached to the message.

  • Save As : to save a copy of the message in .txt format.

Web-based E-mail (Hotmail, Yahoo...)

A double-click on the Mailbox image will launch your browser and display your Inbox web page!

A quick note?

Last, but not least, you may use this window to take small notes! When you don't have mail, double-clicking the Mailbox opens an empty message window. Use it to write a reminder or a phone number, than save it on your hard drive. Open it later in the same way.


EzMail

EzMail : fast and easy

EzPop's purpose is not to replace your favorite mail client. You may yet use it to send mail. Like the messages you read with EzPop, they won't be automatically saved. If you wish to keep a copy of a message, your mail client is probably more comfy. But for writing a quick note, sending a file ASAP, or reply on-the-fly to an urgent message, nothing can beat EzPop!

Configuration

  • In the Configuration panel, click on the Accounts Configuration tab.
  • Check the Use EzMail to reply to the messages option.
  • Type your SMTP server address in the Outgoing Server (SMTP) field. You probably won't have to change the default Port: 25.
  • Click on the Properties button.
  • In the User Information zone, type your name and e-mail adress.
  • Options : you can include the message in the reply and automatically add a signature to outgoing messages (see Options)

Using EzMail

To send a message, right-click on the main window, then choose New EzMail in the menu. A window is displayed, to let write your mail:

  • From : the sender (that's you ;-) Select in the menu the account you wish to use..
    Note : Sending mail with a web-based account (Hotmail, Yahoo etc...) is not possible.
  • To : the recipient. EzPop remembers typed addresses and will auto-complete them.
  • Subject : self-explanatory
  • Files Menu : to send an attachment, click on the Add button. Si you change your mind or make a mistake, click on Remove.

The other buttons are clear: Send (the message), Stop (to suspend the sending), Close (the window).

To reply to a message, click on the Reply to sender button in the Message window.


EzReminder

If you like the way EzPop is notifying you when you got mail, use it to remind you of anything you wish: appointments, tasks, birthdays.

Create a memory tickler

  • In the Configuration Panel, click on the EzReminder tab.
  • Check the Activate EzReminder option.
  • Type your message in the Text field
  • Choose the Date and Time
  • Select an icon (optional)
  • Choose the Repeat setting if needed (Once, once a day, once a week, once a month etc.)
  • Click on the Add button.

You're done! EzPop's Message window will pop-up, with your message and icon, to remind you of this not-to-be-missed appointment.

Modify or delete a memory tickler

Select it in the list and you can modify any part : date, icon etc. Then click on Modify to save your changes. If you only wish to change the text, edit it right in the Event list:

To delete an event from the list, select it and click on Remove.


EzPop Tips!

Tips!

  • To check manually one of your mailboxes, right-click on the Check for messages button in the main window and select it.

  • Use filters with a domain name: check the Activate filters on author's/domain's messages option. Then, use the right filter to stop being bothered by offending messages (ex. : moron@spam.net).

  • If you checked the read only headers in message window option and wish sometimes read a whole message, right-click in the message window and choose Read full mail.

  • Even hidden in the tray, EzPop is still checking your mailboxes. It will pop-up if you have mail.

  • To know EzPop's current state when it's hidden in the tray, hover the tray icon with the mouse pointer: a tooltip will be displayed.


Informations

Let EzPop bring you informations from your favourite news server!

Between checks, EzPop can bring you news in a convenient and unobstrusive way, with a scrolling text in the interactive info screen. To see what type of news you can read, check The News sources.

Right-click on the main window then click on Configure. Go to the Filters/News tab. The default news source is EzPop, but you can choose another one by clicking on the list. The site link and its description will change accordingly.

Now what if you see an interesting info and want to know more?

Drag the mouse pointer over the interactive display. The mouse pointer will change into a handpoint cursor. Click once and your web browser will be launched, allowing you to read the whole story.

Privacy statement:

EzPop uses push technology to bring you news.There is no privacy violation involved. In fact, EzPop doesn't even write cookies on your hard drive ! We send you the info, we don't retrieve it!


Channels

The first EzPop channels:

EzPop :All about EzPop. New versions, new channels etc.

Skinz.org : Its SKINtacular! Thousands of skins, wallpapers, themes. Add to this a lot of news, a message board, a chat and a weekly poll.

The future:

New channels will be added in the next months, and some affiliations are being dealt with right now. You won't have to download a new version to enjoy these new channels: the list is updated in real-time in the right-click menu and the configuration panel. Watch for some nice surprises!


Skins

Change the skin :

To change your current skin, right-click on EzPop to display the menu. Click on Skins and make your choice! Three different skins are installed with EzPop (in EzPop's skins subfolder). Of course, you're not limited to these ones!

 Install other skins :

Skins are distributed in standard zipped files and include several images (in .bmp or .gif format) and a text file named skin.ini. Each skin goes into its own folder. To install a freshly-downloaded skin, simply drag the .zip file on EzPop and drop it. And voila!

Where to find new EzPop skins?

You'll find an ever-growing collection of skins on EzPop's web site and Skinz.org.

One last thing:

If you love a skin, fire your mail client and write a heartful thank you to its author. Skinners are very talented people, and they're nice enough to let everybody enjoy their work. That deserve some kind words, don't you think?


FAQ

Q. EzPop is working fine at home, but I can't get it to connect at work.

A1. Is there a firewall? If so, it's probably "blocking" EzPop. Ask your system administrator. Be sure to tell him how much more efficient you'll be with EzPop!

A2. If your mail account is web-based (Hotmail, Yahoo...), you must accept cookies in your web browser.

Q. I can't get EzPop to work. It tells me the file Wininet.dll is missing.

A. Wininet.dll is installed by MS Internet Explorer 4.0/5.0. If you don't want to install or upgrade to IE 4.0/5.0, copy the files Wininet.dll and Shlwapi.dll on another machine and paste them in your system folder.

Q. I can't get EzPop to work with Windows NT 4.0. It tells me the file Rasapi32.dll is missing.

A. Please upgrade to the version 2.6. Older versions of EzPop relied on the Dial-Up Networking, even if you had a LAN connection. That's history, now.

Q. I want a bigger message window!

A. The size of this window (like every other part of EzPop) is set by the skin designer. Try finding a skin more to your liking. Or better yet : design one yourself and share it with the world !

Q. I can't connect EzPop to the Internet/POP server (dialog box error).

A. Check these points :

  • Is it the latest version ?
  • Is your mail account properly set up ?
  • Are you sure you typed the right Host address, login and password ?
  • Are you connected to the Internet ? (OK. This one is pretty silly. But, hey ! Everyone can make a silly mistake ;)
  • If you upgraded from a very early version (0.5 to 1.1), did you configure again your POP accounts ?

If you checked all these points and still have this message, your mail server could be down or sloooooow responding. If the problem persists, write us .

Q. My default mail client is X or Y but I want EzPop to launch the Netscape e-mail client.

A. This one is easy : in the Options tab of the Config panel, check "Run custom mail client", then browse your hard drive and find netscape.exe. Then add ,-mail after netscape.exe and click on OK. Note : the default path is : c:\Program files\Netscape\Communicator\Program\netscape.exe

Q. How do I launch the Neoplanet e-mail client from EzPop ?

A. You can't yet :( Quoting from the Neoplanet support :
"At this time, the NeoPlanet e-mail client is integrated into the browser itself, and cannot be launched independently."

Q. May I have the sources of your program ?

A. No you can't.


Licence

END-USER LICENSE AGREEMENT for EzPop, herein referred to as the SOFTWARE Copyright 1999 2000 © by Hysope referred to herein as the DEVELOPER.

IMPORTANT-READ CAREFULLY:
This End-User License Agreement ("EULA") is a legal agreement between you (either an individual or a single entity) and the DEVELOPER of the software product(s) identified above ("SOFTWARE PRODUCT" or "SOFTWARE"). The SOFTWARE PRODUCT includes computer software, the associated media, any printed materials, and any "online" or electronic documentation. By installing, copying or otherwise using the SOFTWARE PRODUCT, you agree to be bound by the terms of this EULA. If you do not agree to the terms of this EULA, the DEVELOPER is unwilling to license the SOFTWARE PRODUCT to you. In such event, you may not use or copy the SOFTWARE PRODUCT.

SOFTWARE PRODUCT LICENSE. The SOFTWARE PRODUCT is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties. The SOFTWARE PRODUCT is licensed, not sold.

1. GRANT OF LICENSE. This EULA grants you the following rights: You may install and use the SOFTWARE PRODUCT free of charge on one or more computers for personal, non-commercial use. Requests regarding the use of the SOFTWARE PRODUCT for any purpose other than personal, non-commercial use should be directed to Hysope.

2. DESCRIPTION OF OTHER RIGHTS AND LIMITATIONS.
You may not reverse engineer, decompile, or disassemble the SOFTWARE PRODUCT, except and only to the extent that such activity is expressly permitted by applicable law notwithstanding this limitation.
The SOFTWARE PRODUCT is licensed as a single product. Its component parts may not be separated for use.
You may not rent or lease the SOFTWARE PRODUCT.
The sale of and or distribution of copies of this software is strictly forbidden without the permission of the DEVELOPER.
Without prejudice to any other rights, the DEVELOPER may terminate this EULA if you fail to comply with the terms and conditions of this EULA. In such event, you must destroy all copies of the SOFTWARE PRODUCT and all of its component parts.
The author may, from time to time, revise or update the Software. In so doing, the author incurs no obligation to furnish such revision or updates to you.
Any use of the SOFTWARE PRODUCT which is illegal under international or local law is forbidden by this licence. Any such action is the sole responsibility of the person committing the action.

3. UPGRADES. If the SOFTWARE PRODUCT is an upgrade, you now may use that upgraded product only in accordance with this EULA.

4. OEM COPYRIGHT. All title and copyrights in and to the SOFTWARE PRODUCT (including but not limited to any images, photographs, animations, video, audio, music, text and "applets" incorporated into the SOFTWARE PRODUCT), the accompanying printed materials, and any copies of the SOFTWARE PRODUCT, are owned by DEVELOPER. The SOFTWARE PRODUCT is protected by copyright laws and international treaty provisions. You may not copy the printed materials accompanying the SOFTWARE PRODUCT.

5. OEM PRODUCT SUPPORT. The DEVELOPER is under no obligation to provide technical support under the terms of this license.

6. THE DEVELOPER HEREBY DISCLAIMS ANY AND ALL LIABILITY, EXPRESS OR IMPLIED IN CONJUNCTION WITH THE USE OR INABILITY TO USE THIS SOFTWARE. THIS DISCLAIMER OF LIABILITY EXTENDS TO ANY AND ALL EXPRESS OR IMPLIED REPRESENTATIONS OR WARRANTIES, INCLUDING ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR NON-INFRINGEMENT. IN NO EVENT WILL THE DEVELOPER OR ITS LICENSORS BE LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR FOR DIRECT, INDIRECT, SPECIAL, CONSEQUENTIAL, INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER CAUSED AND REGARDLESS OF THE THEORY OF LIABILITY, RELATING TO THE USE, DOWNLOAD, DISTRIBUTION OF OR INABILITY TO USE SOFTWARE, EVEN IF THE DEVELOPER OR ITS LICENSORS HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. SOFTWARE AND DOCUMENTATION ARE PROVIDED "AS IS."


Contact

Contact us

For suggestions, bug reports or support:
EzPop Support

Business

Searching for innovative and fast-growing
communication solutions?
Contact us to discover
B to B and B to C offers.

Credits

Conception & Development :
Thibaud Djian

Project Management:
Michel Noyal

EzPop is © 1999 2000 Hysope
25, boulevard des Italiens 75002 Paris
Tél : +33 1 44 94 96 00